<?php

namespace App\Entities;

use CodeIgniter\Entity\Entity;

abstract class BaseEntity extends Entity
{
    abstract public function getPrimaryKey();
    abstract public function getTitle(): string;
    abstract public function getStatus(): string;
}
